<?php
$options[] = array(	"type" => "maintabletop");

    /// General Settings
	
	    $options[] = array(	"name" => "General Settings",
						"type" => "heading");
						
		    $options[] = array(	"name" => "Theme Skin",
						        "toggle" => "true",
								"type" => "subheadingtop");
						
				$options[] = array(	"desc" => "Please select the CSS skin of your blog from here",
					                "id" => $shortname."_alt_stylesheet",
					                "std" => "Select a CSS skin:",
					                "type" => "select",
					                "options" => $alt_stylesheets);
						
			$options[] = array(	"type" => "subheadingbottom");
			
			$options[] = array(	"name" => "Customize your design and use custom stylesheet",
						        "toggle" => "true",
								"type" => "subheadingtop");
						
				$options[] = array(	"label" => "Use Custom Stylesheet",
						            "desc" => "If you want to make custom design changes using CSS enable and <a href='". $customcssurl . "'>edit custom.css file here</a>.",
						            "id" => $shortname."_customcss",
						            "std" => "false",
						            "type" => "checkbox");	
						
			$options[] = array(	"type" => "subheadingbottom");
			
			$options[] = array(	"name" => "Add Favicon",
						        "toggle" => "true",
								"type" => "subheadingtop");

				$options[] = array(	"desc" => "Paste the full URL for your favicon image here if you wish to show it in browser. <a href='http://www.favicon.cc/'>Create one here</a>",
						            "id" => $shortname."_favicon",
						            "std" => "",
						            "type" => "file");	
			
			$options[] = array(	"type" => "subheadingbottom");
			
			$options[] = array(	"name" => "Add Logo <br /> ",
						        "toggle" => "true",
								"type" => "subheadingtop");

                $options[] = array(	"name" => "Choose Your Logo image",
				                    "desc" => "Paste the full URL to your logo image here or choose the one from Browse (Logo image size - 375px width )",
						            "id" => $shortname."_logo_url",
						            "std" => "",
						            "type" => "file");

				$options[] = array(	"name" => "Choose Blog Title over Logo",
				                    "desc" => "This option will overwrite your logo selection above - You can <a href='". $generaloptionsurl . "'>change your settings here</a>",
						            "label" => "Show Blog Title + Tagline.",
						            "id" => $shortname."_show_blog_title",
						            "std" => "true",
						            "type" => "checkbox");	

			$options[] = array(	"type" => "subheadingbottom");
			
 	
		$options[] = array(	"name" => "Syndication / Feed URL <br> &nbsp;  &nbsp;  &nbsp;   (ex.http://feeds2.feedburner.com/templatic)",
						        "toggle" => "true",
								"type" => "subheadingtop");			
						
			$options[] = array( "desc" => "If you are using a service like Feedburner to manage your RSS feed, enter full URL to your feed in the box. If you'd prefer to use the default WordPress feed, simply leave this box blank.",
			    		            "id" => $shortname."_feedburner_url",
			    		            "std" => "",
			    		            "type" => "text");	
			
			$options[] = array(	"type" => "subheadingbottom");
			
			$options[] = array(	"name" => "Syndication / Feed ID  <br> &nbsp;  &nbsp;  &nbsp; (ex.templatic)",
						        "toggle" => "true",
								"type" => "subheadingtop");	
			
			
				$options[] = array( "desc" => "If you are using a service like Feedburner to manage your RSS feed, enter Feed ID in this box. If you'd prefer to use the default WordPress feed, simply leave this box blank.",
			    		            "id" => $shortname."_feedburner_id",
			    		            "std" => "",
			    		            "type" => "text");	
						
			 $options[] = array(	"type" => "subheadingbottom");
			 
			 
 			
			$options[] = array(	"name" => "Twitter URL <br> &nbsp;  &nbsp;  &nbsp; (ex.http://twitter.com/templatic)",
						        "toggle" => "true",
								"type" => "subheadingtop");	
			
			
				$options[] = array( "desc" => "Enter Twitter URL",
			    		            "id" => $shortname."_twitter_id",
			    		            "std" => "",
			    		            "type" => "text");	
						
			 $options[] = array(	"type" => "subheadingbottom");
			 
			 
			 $options[] = array(	"name" => "Facebook URL <br> &nbsp;  &nbsp;  &nbsp; (ex.http://facebook.com/templatic)",
						        "toggle" => "true",
								"type" => "subheadingtop");	
			
			
				$options[] = array( "desc" => "Enter Facebook URL",
			    		            "id" => $shortname."_facebook_id",
			    		            "std" => "",
			    		            "type" => "text");	
						
			 $options[] = array(	"type" => "subheadingbottom");
			 
			/* $options[] = array(	"name" => "Image Setting (Tim thumb setting - Image Cutting Edge)",
						        "toggle" => "true",
								"type" => "subheadingtop");	

$options[] = array(	"name" => __("Default Image Cutting Edge"),
					                "desc" => __("Set Default Image Cutting Edge Position."),
					                "id" => $shortname."_image_x_cut",
					                "std" => "",
									"options" => array('center','top','bottom','left','right','top right','top left','bottom right','bottom left'),
					                "type" => "select");
				$options[] = array(	"type" => "subheadingbottom");*/
				
		$options[] = array(	"type" => "maintablebreak");
		

    /// Navigation Settings												
				
		$options[] = array(	"name" => "Navigation Settings",
						    "type" => "heading");
										
				 $options[] = array(	"name" => "Top Strip Navigation",
						        "toggle" => "true",
								"type" => "subheadingtop");
						
				$options[] = array(	"label" => "",
                	                "desc" => "Select Pages, press &lsquo;control button&rsquo; to select more than one",
						            "id" => $shortname."_top_strip_pages",
						            "std" => "",
						            "type" => "multiselect",
									"options"=> get_pages_array(),
									);
				
				$options[] = array(	"type" => "subheadingbottom");
				
				 $options[] = array(	"name" => "Main Navigation",
						        "toggle" => "true",
								"type" => "subheadingtop");
						
				$options[] = array(	"label" => "",
                	                "desc" => "Select Pages, press &lsquo;control button&rsquo; to select more than one",
						            "id" => $shortname."_main_nav_pages",
						            "std" => "",
						            "type" => "multiselect",
									"options"=> get_pages_array(),
									);
				
				$options[] = array(	"type" => "subheadingbottom");
			
			
		$options[] = array(	"name" => "Blog Categories for Header Navigation",
								"toggle" => "true",
								"type" => "subheadingtop");
					$cat_arr = get_category_array();
					$cat_arr = array_merge(array(array('id'=>'','title'=>'No Category')),$cat_arr);
					$options[] = array(	"label" => "",
                	                "desc" => "Select categories, press &lsquo;control button&rsquo; to select more than one",
						            "id" => $shortname."_blogcategory",
						            "std" => "",
						            "type" => "multiselect",
									"options"=> $cat_arr,
									);	

			$options[] = array(	"type" => "subheadingbottom");
			
			$options[] = array(	"name" => "Event Categories for Header Navigation",
								"toggle" => "true",
								"type" => "subheadingtop");
					$cat_arr = get_eventcategory_array();
					$cat_arr = array_merge(array(array('id'=>'','title'=>'No Category')),$cat_arr);
					$options[] = array(	"label" => "",
                	                "desc" => "Select event categories, press &lsquo;control button&rsquo; to select more than one",
						            "id" => $shortname."_eventcategory",
						            "std" => "",
						            "type" => "multiselect",
									"options"=> $cat_arr,
									);	

			$options[] = array(	"type" => "subheadingbottom");
			
 				$options[] = array(	"name" => "Allow user to list the Event",
						        "toggle" => "true",
								"type" => "subheadingtop");
						
				$options[] = array(	"label" => "Do you wish to allow the user to list their Event?",
						            "desc" => "",
						            "id" => "is_user_eventlist",
						            "std" => "true",
						            "type" => "checkbox");	
						
			$options[] = array(	"type" => "subheadingbottom");
			
			$options[] = array(	"name" => "Breadcrumbs Navigation",
						        "toggle" => "true",
								"type" => "subheadingtop");
						
				$options[] = array(	"label" => "Show breadcrumbs navigation bar",
						            "desc" => "i.e. Home > Blog > Title - <a href='". $breadcrumbsurl . "'>Change options here</a>",
						            "id" => $shortname."_breadcrumbs",
						            "std" => "true",
						            "type" => "checkbox");	
						
			$options[] = array(	"type" => "subheadingbottom");
				
				
		$options[] = array(	"type" => "maintablebreak");
		
 		
/// Detail Options
				
		$options[] = array(	"name" => "Place Detail page Settings",
						    "type" => "heading");
						
			$options[] = array(	"name" => "\"Tweet\" button show or hide",
						        "toggle" => "true",
								"type" => "subheadingtop");
						
				$options[] = array(	"label" => "Wish to display \"Tweet\" button",
						            "desc" => "",
						            "id" => $shortname."_tweet_button",
						            "std" => "true",
						            "type" => "checkbox");	
						
			$options[] = array(	"type" => "subheadingbottom");
			
			
			 $options[] = array(	"name" => "\"Facebook Like\" button show or hide",
						        "toggle" => "true",
								"type" => "subheadingtop");
						
				$options[] = array(	"label" => "Wish to display \"Facebook Like\" button",
						            "desc" => "",
						            "id" => $shortname."_facebook_button",
						            "std" => "true",
						            "type" => "checkbox");	
				$options[] = array(	"type" => "subheadingbottom");
				
				$options[] = array(	"name" => "Photo gallery slider settings",
						       	 "toggle" => "true",
									"type" => "subheadingtop");
						
				$options[] = array(	"label" => "Wish to set Photo gallery to auto slide?",
						            "desc" => "",
						            "id" => $shortname."_photo_gallery",
						            "std" => "true",
						            "type" => "checkbox");
			
			$options[] = array(	"type" => "subheadingbottom");
			
			$options[] = array(	"name" => "Wish to Display Organizer Email address",
						       	 "toggle" => "true",
									"type" => "subheadingtop");
						
				$options[] = array(	"label" => "Wish to Display Organizer  Email address on detail page?",
						            "desc" => "",
						            "id" => $shortname."_email_on_detailpage",
						            "std" => "Yes",
						            "type" => "select",
									"options" => array('Yes','No'),);
			
			$options[] = array(	"type" => "subheadingbottom");
			
			$options[] = array(	"name" => "Wish to Display Organizer Contact Information",
						       	 "toggle" => "true",
									"type" => "subheadingtop");
						
				$options[] = array(	"label" => "Wish to Display Organizer Contact Information on detail page?",
						            "desc" => "",
						            "id" => $shortname."_contact_on_detailpage",
						            "std" => "Yes",
						            "type" => "select",
									"options" => array('Yes','No'),);
			
			$options[] = array(	"type" => "subheadingbottom");
			
				$options[] = array(	"name" => "Wish to Display Event Email address",
						       	 "toggle" => "true",
									"type" => "subheadingtop");
						
				$options[] = array(	"label" => "Wish to Display Event  Email address on detail page?",
						            "desc" => "",
						            "id" => $shortname."_event_email_on_detailpage",
						            "std" => "Yes",
						            "type" => "select",
									"options" => array('Yes','No'),);
			
			$options[] = array(	"type" => "subheadingbottom");
			
			$options[] = array(	"name" => "Map & Gallery Settings",
						       	 "toggle" => "true",
									"type" => "subheadingtop");
						
				$options[] = array(	"label" => "Wish to Display Map & Gallery or Both?",
						            "desc" => "",
						            "id" => $shortname."_detail_gallery_map_flag",
						            "std" => "",
						            "type" => "select",
									"options" => array('Map&Gallery Both - Default Map','Map Only','Gallery Only','Hide Both'),);
			
			$options[] = array(	"type" => "subheadingbottom");
			
		$options[] = array(	"type" => "maintablebreak");
		
/// Event Listing Options
				
$options[] = array(	"name" => "Add Listing page Settings",
					"type" => "heading");
				
	$options[] = array(	"name" => "Category display settings",
						"toggle" => "true",
						"type" => "subheadingtop");
				
	$options[] = array(	"label" => "Category display settings",
						"desc" => "",
						"id" => $shortname."_category_dislay",
						"std" => "",
						"type" => "select",
						"options" => array('checkbox','radio','select'),
						);	
	$options[] = array(	"type" => "subheadingbottom");
	
	$options[] = array(	"name" => "Captcha settings",

						"toggle" => "true",
						"type" => "subheadingtop");
				
	$options[] = array(	"label" => "Wish to enable Captcha",
			            "desc" => "Wish to display captcha in Add listing page ?",
						"id" => $shortname."_captcha_dislay",
						"std" => "Yes",
						"type" => "select",
						"options" => array('Yes','No'),
						);	
	$options[] = array(	"type" => "subheadingbottom");
	
	$options[] = array(	"name" => "Add New Listing Status",
						"toggle" => "true",
						"type" => "subheadingtop");
				
	$options[] = array(	"label" => "Select New Listing default Status",
						"desc" => "Select the default status of new listing",
						"id" => "approve_status",
						"std" => "publish",
						"type" => "select",
						"options" => array('publish','draft'),
						);	
	$options[] = array(	"type" => "subheadingbottom");

$options[] = array(	"type" => "maintablebreak");
$options[] = array(	"name" => "Blog  Settings",
					"type" => "heading");

$options[] = array(	"name" => "Content Display",
					"toggle" => "true",
					"type" => "subheadingtop");
			
	$options[] = array(	"label" => "Display Full Post Content",
						"desc" => "Instead of default Post excerpts display Full Post Content in Blog Section",
						"id" => $shortname."_postcontent_full",
						"std" => "false",
						"type" => "checkbox");	
			
$options[] = array(	"type" => "subheadingbottom");




$options[] = array(	"type" => "maintablebreak");

$options[] = array(	"type" => "maintablebottom");
		
$options[] = array(	"type" => "maintabletop");

$options[] = array(	"type" => "maintablebottom");
		
$options[] = array(	"type" => "maintabletop");

			
		$options[] = array(	"type" => "maintablebreak");
		
		/// Map Options
				
		$options[] = array(	"name" => "Google Map Settings",
						    "type" => "heading");
			
			$options[] = array(	"name" => "Map Central - latitude, longitude & scaling factor",
						        "toggle" => "true",
								"type" => "subheadingtop");

				$options[] = array(	"name" => "Google Map API key",
					                "desc" => "Enter Google Map API key. You can get it from <a href=\"http://code.google.com/apis/maps/signup.html\" target=\"_blank\">Get Google Map API Key</a>.",
					                "id" => $shortname."_api_key",
					                "std" => "",
					                "type" => "text");
			
		$options[] = array(	"name" => "Map Central latitute",
					                "desc" => "Enter latitude value of the central of map for the city you want to display. You can get it from http://map.google.com. Default value is '34'.",
					                "id" => $shortname."_latitute",
					                "std" => "34",
					                "type" => "text");

				$options[] = array(	"name" => "Map Central longitude",
					                "desc" => "Enter longitude value of the central of map for the city you want to display. You can get it from http://map.google.com. Default value is '0'.",
						            "id" => $shortname."_longitute",
						            "std" => "0",
						            "type" => "text");
				
				$options[] = array(	"name" => "Select Map Scale factor",
					                "desc" => "Map on Add evetn page will scale according to Factor. Default value of Scale factor is 13.",
						            "id" => $shortname."_scale_factor",
						            "std" => "",
									 "options" => array('1','2','3','4','5','6','7','8','9','10','11','12','13','14','15','16','17','18','19'),
						            "type" => "select");
				
									
			$options[] = array(	"type" => "subheadingbottom");
			
		$options[] = array(	"type" => "maintablebreak");
		
		/// Listing Options
				
		$options[] = array(	"name" => "Category page Settings",
						    "type" => "heading");
						
			$options[] = array(	"name" => "Number of events per page listing",
						        "toggle" => "true",
								"type" => "subheadingtop");
			
			$options[] = array(	"name" => "Number of events per page listing",
								"desc" => "Enter Number of posts per page you want to display on category page.",
								"id" => "posts_per_page",
								"std" => "5",
								"type" => "text");
			
			$options[] = array(	"type" => "subheadingbottom");
			
		$options[] = array(	"type" => "maintablebreak");
		
		/// Place Listing Options
				
		$options[] = array(	"name" => "Events Listing Settings",
						    "type" => "heading");
						
			$options[] = array(	"name" => "Listing Status after expiry",
						        "toggle" => "true",
								"type" => "subheadingtop");
			
			$options[] = array(	"label" => "Wish to disable listing expiry process? If you disable the option, none of Event listing will expire in future.",
						            "id" => $shortname."_listing_expiry_disable",
						            "std" => "true",
						            "type" => "checkbox");
			
			$options[] = array(	"name" => "",
					                "desc" => "Select the listing status after the place listing expires.",
					                "id" => $shortname."_listing_ex_status",
					                "std" => "draft",
					                "type" => "select",
					                "options" => array('draft','publish','trash'));
			
			
			$options[] = array(	"type" => "subheadingbottom");
			
			$options[] = array(	"name" => "Listing Email Notification",
						        "toggle" => "true",
								"type" => "subheadingtop");
			
			$options[] = array(	"label" => "Wish to disable listing pre expiry notification to author? If you disable the option, pre expiry email notification will stop.",
						            "id" => $shortname."_listing_preexpiry_notice_disable",
						            "std" => "true",
						            "type" => "checkbox");
			
			$options[] = array(	"name" => "",
					                "desc" => "Enter number of days before pre expiry notification Email will be sent.",
					                "id" => $shortname."_listing_preexpiry_notice_days",
					                "std" => "1",
					                "type" => "select",
					                "options" => array('0','1','2','3','4','5','6','7','8','9','10'));
			
			
			$options[] = array(	"type" => "subheadingbottom");
			
		$options[] = array(	"type" => "maintablebreak");
		
		/// Ratting Options
				
		$options[] = array(	"name" => "Rating Settings",
						    "type" => "heading");
						
			$options[] = array(	"name" => "Disable Rating",
						        "toggle" => "true",
								"type" => "subheadingtop");
			
			$options[] = array(	"label" => "Wish to disable Rating",
						            "id" => $shortname."_disable_rating",
						            "std" => "true",
						            "type" => "checkbox");
			
			$options[] = array(	"type" => "subheadingbottom");
			
		$options[] = array(	"type" => "maintablebreak");
		
	/// SEO Options
	
	$options[] = array(	"name" => "Header / footer Stats and Scripts",
						    "type" => "heading");
										
			$options[] = array(	"name" => "Header Scripts",
						        "toggle" => "true",
								"type" => "subheadingtop");	
						
				$options[] = array(	"name" => "Header Scripts",
					                "desc" => "If you need to add scripts to your header (like <a href='http://haveamint.com/'>Mint</a> tracking code), do so here.",
					                "id" => $shortname."_scripts_header",
					                "std" => "",
					                "type" => "textarea");
			
			$options[] = array(	"type" => "subheadingbottom");
			
			$options[] = array(	"name" => "Footer Scripts (Ex. Google Analytics code)",
						        "toggle" => "true",
								"type" => "subheadingtop");	
						
				$options[] = array(	"name" => "Footer Scripts",
					                "desc" => "If you need to add scripts to your footer (like <a href='http://www.google.com/analytics/'>Google Analytics</a> tracking code), do so here.",
					                "id" => $shortname."_google_analytics",
					                "std" => "",
					                "type" => "textarea");
			
			$options[] = array(	"type" => "subheadingbottom");
						
		$options[] = array(	"type" => "maintablebreak");
				
		$options[] = array(	"name" => "SEO Options",
						    "type" => "heading");
						
			$options[] = array(	"name" => "Home Page <code>&lt;meta&gt;</code> tags",
						        "toggle" => "true",
								"type" => "subheadingtop");

				$options[] = array(	"name" => "Meta Description",
					                "desc" => "You should use meta descriptions to provide search engines with additional information about topics that appear on your site. This only applies to your home page.",
					                "id" => $shortname."_meta_description",
					                "std" => "",
					                "type" => "textarea");

				$options[] = array(	"name" => "Meta Keywords (comma separated)",
					                "desc" => "Meta keywords are rarely used nowadays but you can still provide search engines with additional information about topics that appear on your site. This only applies to your home page.",
						            "id" => $shortname."_meta_keywords",
						            "std" => "",
						            "type" => "text");
									
				$options[] = array(	"name" => "Meta Author",
					                "desc" => "You should write your <em>full name</em> here but only do so if this blog is writen only by one outhor. This only applies to your home page.",
						            "id" => $shortname."_meta_author",
						            "std" => "",
						            "type" => "text");
						
			$options[] = array(	"type" => "subheadingbottom");
			
			$options[] = array(	"name" => "Add <code>&lt;noindex&gt;</code> tags",
						        "toggle" => "true",
								"type" => "subheadingtop");

				$options[] = array(	"label" => "Add <code>&lt;noindex&gt;</code> to category archives.",
						            "id" => $shortname."_noindex_category",
						            "std" => "true",
						            "type" => "checkbox");
									
				$options[] = array(	"label" => "Add <code>&lt;noindex&gt;</code> to tag archives.",
						            "id" => $shortname."_noindex_tag",
						            "std" => "true",
						            "type" => "checkbox");
				
				$options[] = array(	"label" => "Add <code>&lt;noindex&gt;</code> to author archives.",
						            "id" => $shortname."_noindex_author",
						            "std" => "true",
						            "type" => "checkbox");
									
			    $options[] = array(	"label" => "Add <code>&lt;noindex&gt;</code> to Search Results.",
						            "id" => $shortname."_noindex_search",
						            "std" => "true",
						            "type" => "checkbox");
				
				$options[] = array(	"label" => "Add <code>&lt;noindex&gt;</code> to daily archives.",
						            "id" => $shortname."_noindex_daily",
						            "std" => "true",
						            "type" => "checkbox");
				
				$options[] = array(	"label" => "Add <code>&lt;noindex&gt;</code> to monthly archives.",
						            "id" => $shortname."_noindex_monthly",
						            "std" => "true",
						            "type" => "checkbox");
				
				$options[] = array(	"label" => "Add <code>&lt;noindex&gt;</code> to yearly archives.",
						            "id" => $shortname."_noindex_yearly",
						            "std" => "true",
						            "type" => "checkbox");
				
						
			$options[] = array(	"type" => "subheadingbottom");
			
			
		$options[] = array(	"type" => "maintablebreak");
		
$options[] = array(	"type" => "maintablebottom");

?>